com.amazon.redshift.hostchooser

## Class CandidateHost

- java.lang.Object
- - com.amazon.redshift.hostchooser.CandidateHost

    public class CandidateHost
    extends Object

Candidate host to be connected.

### Field Summary

Fields
`HostSpec` `hostSpec`
`HostRequirement` `targetServerType`

### Constructor Summary

Constructors
Constructor and Description
`CandidateHost(HostSpec hostSpec, HostRequirement targetServerType)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hostSpec

    public final HostSpec hostSpec

#### targetServerType

    public final HostRequirement targetServerType

### Constructor Detail

#### CandidateHost

    public CandidateHost(HostSpec hostSpec,
                         HostRequirement targetServerType)